from flask_wtf import FlaskForm
from wtforms import StringField, BooleanField, TextAreaField, SelectField, SelectMultipleField, SubmitField
from wtforms import widgets
from wtforms.validators import DataRequired

class PageForm(FlaskForm):

    name = StringField('namn', validators=[DataRequired()])
    title = StringField('Title', validators=[DataRequired()])
    description = TextAreaField('Beskrivning')
    endpoint = BooleanField('Produkt')
    thumbnail = SelectField('Bild')
    photos = SelectMultipleField('Galleri', option_widget=widgets.CheckboxInput(), widget=widgets.ListWidget(prefix_label=False))
    submit = SubmitField('Ok')
